slow USB 2.0 drive: it's mounted as USB 1.0, not USB 2.0!

Bug #177235 reported by Albert Cardona on 2007-12-18
266
This bug affects 52 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

In gutsy 7.10 dist-upgraded to the max:

Ubuntu 64-bit sometimes does not mount USB 2.0 devices as 2.0.

1) plugin in the USB drive
2) mount it if not automounted (sometimes it doesn't)
3) right-click, properties in nautilus, go to drive tab, see speed "12 Mbps"
4) umount it, unplug it
5) sudo rmmod ehci_hcd
6) plugin the USB drive
7) sudo modprobe ehci_hcd
8) mount it if not automounted
9) right-click, properties in nautilus, go to drive tab, see speed "480 Mbps"

Something is horribly wrong at recognizing the proper USB speed mode of external drives.

From /var/log/messages: note how the first time the drive is mounted properly as high speed, the second time as slow, then as high speed again with the trick of modprobe'ing the ehci_hcd driver.
Somehow, the second time the driver sees the same USB hard drive, it fails to recognize it as USB 2.0.
(when I modprobe the driver, the USB mouse and keyboard are also recognized, don't be confused by these).

If you need more info let me know.

Dec 18 11:46:50 instar kernel: [1089450.444192] usb 1-2: USB disconnect, address 3
Dec 18 11:47:23 instar kernel: [1089483.715043] ehci_hcd 0000:00:1d.7: remove, state 4
Dec 18 11:47:23 instar kernel: [1089483.715053] usb usb5: USB disconnect, address 1
Dec 18 11:47:23 instar kernel: [1089483.719139] ehci_hcd 0000:00:1d.7: USB bus 5 deregistered
Dec 18 11:47:23 instar kernel: [1089483.720334] ACPI: PCI interrupt for device 0000:00:1d.7 disabled
Dec 18 11:47:45 instar kernel: [1089505.912002] usb 1-2: new full speed USB device using uhci_hcd and address 4
Dec 18 11:47:45 instar kernel: [1089506.134623] usb 1-2: configuration #1 chosen from 1 choice
Dec 18 11:47:45 instar kernel: [1089506.137630] scsi7 : SCSI emulation for USB Mass Storage devices
Dec 18 11:47:50 instar kernel: [1089511.132544] scsi 7:0:0:0: Direct-Access SEAGATE ST3320820A 3.AA PQ: 0 ANSI: 2
Dec 18 11:47:50 instar kernel: [1089511.137515] sd 7:0:0:0: [sde] 625142448 512-byte hardware sectors (320073 MB)
Dec 18 11:47:50 instar kernel: [1089511.142502] sd 7:0:0:0: [sde] Write Protect is off
Dec 18 11:47:50 instar kernel: [1089511.147491] sd 7:0:0:0: [sde] 625142448 512-byte hardware sectors (320073 MB)
Dec 18 11:47:50 instar kernel: [1089511.152399] sd 7:0:0:0: [sde] Write Protect is off
Dec 18 11:47:50 instar kernel: [1089511.152410] sde: sde1
Dec 18 11:47:50 instar kernel: [1089511.171501] sd 7:0:0:0: [sde] Attached SCSI disk
Dec 18 11:47:50 instar kernel: [1089511.171542] sd 7:0:0:0: Attached scsi generic sg5 type 0
Dec 18 11:48:12 instar kernel: [1089532.675957] ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 20 (level, low) -> IRQ 20
Dec 18 11:48:12 instar kernel: [1089532.677029] ehci_hcd 0000:00:1d.7: EHCI Host Controller
Dec 18 11:48:12 instar kernel: [1089532.677207] ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 5
Dec 18 11:48:12 instar kernel: [1089532.677244] ehci_hcd 0000:00:1d.7: debug port 1
Dec 18 11:48:12 instar kernel: [1089532.677262] ehci_hcd 0000:00:1d.7: irq 20, io mem 0xffafbc00
Dec 18 11:48:12 instar kernel: [1089532.682397] ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
Dec 18 11:48:12 instar kernel: [1089532.682516] usb usb5: configuration #1 chosen from 1 choice
Dec 18 11:48:12 instar kernel: [1089532.682548] hub 5-0:1.0: USB hub found
Dec 18 11:48:12 instar kernel: [1089532.682559] hub 5-0:1.0: 8 ports detected
Dec 18 11:48:12 instar kernel: [1089533.022143] usb 5-2: new high speed USB device using ehci_hcd and address 2
Dec 18 11:48:12 instar kernel: [1089533.154844] usb 5-2: configuration #1 chosen from 1 choice
Dec 18 11:48:12 instar kernel: [1089533.155098] scsi8 : SCSI emulation for USB Mass Storage devices
Dec 18 11:48:13 instar kernel: [1089533.521886] usb 1-2: USB disconnect, address 4
Dec 18 11:48:13 instar kernel: [1089533.649595] usb 2-1: USB disconnect, address 3
Dec 18 11:48:13 instar kernel: [1089533.889048] usb 2-1: new low speed USB device using uhci_hcd and address 4
Dec 18 11:48:13 instar kernel: [1089534.065223] usb 2-1: configuration #1 chosen from 1 choice
Dec 18 11:48:13 instar kernel: [1089534.082362] input: Logitech USB Receiver as /class/input/input12
Dec 18 11:48:13 instar kernel: [1089534.082393] input: USB HID v1.10 Keyboard [Logitech USB Receiver] on usb-0000:00:1d.1-1
Dec 18 11:48:13 instar kernel: [1089534.111043] /build/buildd/linux-source-2.6.22-2.6.22/drivers/hid/usbhid/hid-core.c: Fixing up Logitech keyboard report descriptor
Dec 18 11:48:13 instar kernel: [1089534.111596] input: Logitech USB Receiver as /class/input/input13
Dec 18 11:48:13 instar kernel: [1089534.111651] input,hiddev96: USB HID v1.10 Mouse [Logitech USB Receiver] on usb-0000:00:1d.1-1
Dec 18 11:48:13 instar kernel: [1089534.289736] usb 3-2: reset low speed USB device using uhci_hcd and address 8
Dec 18 11:48:17 instar kernel: [1089538.146023] scsi 8:0:0:0: Direct-Access SEAGATE ST3320820A 3.AA PQ: 0 ANSI: 2
Dec 18 11:48:17 instar kernel: [1089538.147625] sd 8:0:0:0: [sde] 625142448 512-byte hardware sectors (320073 MB)
Dec 18 11:48:17 instar kernel: [1089538.148498] sd 8:0:0:0: [sde] Write Protect is off
Dec 18 11:48:17 instar kernel: [1089538.149495] sd 8:0:0:0: [sde] 625142448 512-byte hardware sectors (320073 MB)
Dec 18 11:48:17 instar kernel: [1089538.150369] sd 8:0:0:0: [sde] Write Protect is off
Dec 18 11:48:17 instar kernel: [1089538.150378] sde: sde1
Dec 18 11:48:17 instar kernel: [1089538.152674] sd 8:0:0:0: [sde] Attached SCSI disk
Dec 18 11:48:17 instar kernel: [1089538.152715] sd 8:0:0:0: Attached scsi generic sg5 type 0

Richard Craig (richard1gb) wrote :

Had the same problem.

Thanx for the fix :-)

Lets hope they fix this soon.

costales (costales) wrote :

Same problem for me in Ubuntu 7.10 and 8.04.

I've the same problem but the fix doesn't do anything for me.

Still shows 12mbs

Turns out it was my mistake. Wasn't enabled in the BIOS.

Apologies.

Bugsy (carlo-suomi24) wrote :

I have the same kind of problem exept that the drive is recognised as usb 2.0 drive but the transfer speed is still only 2 Mt/s.

Bugsy (carlo-suomi24) wrote :

Now I tried tranferring the files again and the speed is ten times faster. The drive is same and I haven't even unmounted it after the last try. This is quite annoying little bug because this happens time to time and I know that the small filesize is not the problem because the transferred files are 600-700 Mt.

I have attached a screenshot from the transfer.

Ludwig (lvb2k2) wrote :

I had exactly the same problem, and found by chance exactly the same solution. I thought it was my MP3-player the cause of the issue, because it was happening in both my ubuntu x64 laptop and my ubuntu x64 desktop. The same machines booting windows have no problems.

For reference, here's the MP3-player thread I opened:
http://forums.sandisk.com/sansa/board/message?board.id=clip&message.id=8869#M8869

Gaspard Leon (gaspard.leon) wrote :

Same problem here, I remounted an external USB2.0 drive and noticed it was deathly slow... Checked the "Drive" tab, saw 12Mbps (USB1.1)...

I tried the workaround in the bug description... got up to this step:
7) sudo modprobe ehci_hcd

Then immediately after issuing this command, my computer froze... after waiting a while, I hard-resetting it
Reconnected the drive after it booted, and I had 480Mbps!

Not sure if there is a safer way to reset the speed?

Cheers,

Gaspard

Gaspard Leon (gaspard.leon) wrote :

Oh for reference:
Vendor: ST350032
Model: 0AS
Firmware: 0103
Media: Hard Disk

(it's a 3.5inch Seagate 500GB 7200.11 SATA drive in a SATA to USB enclosure)

Gaspard

Hello!
Could you check if this issue still persists with latest Ubuntu release?
You can try Ubuntu Intrepid from the live-cd.
Thanks in advance.

costales (costales) wrote :

I have installed Intrepid.
This issue persists in Intrepid, in my laptop hp nx7300 and USB Kingston 1GB.

costales (costales) wrote :

Well, my problem is USB not mount!
I must run sudo modprobe ehci_hcd for Ubuntu mount the USB.

@Marcos: then you only need to add ehci_hcd to /etc/modules.

What about the others?

Gaspard Leon (gaspard.leon) wrote :

I'll try this tonight or tomorrow and post my results... although I have not been able to boot the live CD since Edgy so I'm not out much hope.

I'm planning to upgrade to/start testing Intrepid soon so I'll update this bug once I've installed that (if the live CD doesn't work)

Cheers

escapedturkey (escapedturkey) wrote :

Hi,

This is happening with the 32 bit version as well.

When plugging in Sansa Clip to Asus EEE PC with Ubutu 8.04, it will not recognize the Clip.

However, typing the following fixes that (temporarily) (following Nothingman's suggestion):

sudo modprobe -r ehci_hcd

The Clips charge light starts flashing for a few seconds and the machine recognizes the player from that point on.

More details here:

http://forums.sandisk.com/sansa/board/message?board.id=clip&thread.id=7054

Thank you. :)

Ubuntu Kernel Team needs to be notified and subscribed to this bug. This is a kernel problem.

This bug is also related to this bug:

https://bugs.launchpad.net/ubuntu/intrepid/+source/linux/+bug/88746

An older kernel that works perfectly is

2.6.24-19 which is the default install kernel for Ubuntu v8.04.1. Once you update the kernel you get USB 1.0 speeds.

Also see this post for other evidence:

http://ubuntuforums.org/showpost.php?p=6560662&postcount=59

Problem still occurs with latest kernel version 2.6.28

---------------------------------------------------------

Ubuntu Kernel Team needs to be notified and subscribed to this bug.

This bug is also related to this bug:

https://bugs.launchpad.net/ubuntu/intrepid/+source/linux/+bug/88746

An older kernel that works perfectly is

2.6.24-19 which is the default install kernel for Ubuntu v8.04.1. Once you update the kernel you get USB 1.0 speeds and transfer problems.

Also see this post for other evidence:

http://ubuntuforums.org/showpost.php?p=6560662&postcount=59
http://ubuntuforums.org/showpost.php?p=6543011&postcount=56
http://ubuntuforums.org/showpost.php?p=6560824&postcount=60
http://ubuntuforums.org/showthread.php?t=793688

This bug can be found on multiple distributions. The problem is with the kernel.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

dpkg --get-selections | grep linux

Shows both , 2.6.24-16 and 2.6.24-19.
Is it safe to remove 2.6.24-19 or is there another way to degrade
{rather,down-grade ;0) } the
kernel

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: http://getfiregpg.org

iEYEARECAAYFAklxpGYACgkQn17+Bx+cdhFQwQCfRAu4Adg1wVtWpeSOTcjpYPq7
5tYAn0Td/y4x1Lr6GH/XGf40HZONmYAp
=X1mq
-----END PGP SIGNATURE-----
On Sat, Jan 17, 2009 at 2:13 PM, Hated On Mostly
<email address hidden>wrote:

> Problem still occurs with latest kernel version 2.6.28
>
> ---------------------------------------------------------
>
> Ubuntu Kernel Team needs to be notified and subscribed to this bug.
>
> This bug is also related to this bug:
>
> https://bugs.launchpad.net/ubuntu/intrepid/+source/linux/+bug/88746
>
> An older kernel that works perfectly is
>
> 2.6.24-19 which is the default install kernel for Ubuntu v8.04.1. Once
> you update the kernel you get USB 1.0 speeds and transfer problems.
>
> Also see this post for other evidence:
>
> http://ubuntuforums.org/showpost.php?p=6560662&postcount=59
> http://ubuntuforums.org/showpost.php?p=6543011&postcount=56
> http://ubuntuforums.org/showpost.php?p=6560824&postcount=60
> http://ubuntuforums.org/showthread.php?t=793688
>
> This bug can be found on multiple distributions. The problem is with the
> kernel.
>
> --
> slow USB 2.0 drive: it's mounted as USB 1.0, not USB 2.0!
> https://bugs.launchpad.net/bugs/177235
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
'I am what I am because of who we all are'
http://www.ubunt2.blogspot.com
-- Hemanth HM

When I tried to downgrade to 2.6.24-19 it didn't fix the problem. Looking at the ehci_hcd.ko file after downgrading it appears as if the file did not get replaced by the ehci_hcd.ko file that is on the live CD of Ubuntu 8.04.1 (kernel 2.6.24-19). Why that is? I don't know. I would expect all of the kernel related files to be updated to the version you install, but that does not appear to be the case, at least for ehci_hcd.ko.

Right now I am testing out a different temporary fix before doing a complete reinstall test.

https://bugs.launchpad.net/ubuntu/intrepid/+source/linux/+bug/88746/comments/467

Matthew Wilson (evandar) wrote :

Still a problem for me with a freshly updated system. Speeds under 8MB/sec. Drive is a 500MB Western Digital external USB unit.

Linux antares 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux

Gaspard Leon (gaspard.leon) wrote :

@Matthew:

Speeds under 8MB/sec *are slow*, but this bug refers to USB 1.1 or 1.0 which is VERY SLOW e.g. 1.5MB/sec
http://en.wikipedia.org/wiki/Usb#USB_signaling

what you're seeing might be another related or unrelated bug in some part of the data path between the OS and the drive.

just a thought: check by right-click, properties in nautilus, go to drive tab, see speed "480 Mbps" or "12 Mbps"... the first is USB 2.0 and the second is 1.0/1.1

Thanks for the email Gaspard. I have tried to see the speed on the drive
tab but unfortunately no speed is displayed on my system. This could be
because the drive is listed as non-removable instead of removable. I have
no idea why. I have USB 1 and USB2 ports on this machine. The USB1 ports
give less than 1MB transfer speeds, the USB2 ports less than 10MB. I'll
find the correct existing bug-report. (I know I've seen ti somewhere).

Thanks again
Matt.

2009/2/20 Gaspard Leon <email address hidden>

> @Matthew:
>
> Speeds under 8MB/sec *are slow*, but this bug refers to USB 1.1 or 1.0
> which is VERY SLOW e.g. 1.5MB/sec
> http://en.wikipedia.org/wiki/Usb#USB_signaling
>
> what you're seeing might be another related or unrelated bug in some
> part of the data path between the OS and the drive.
>
> just a thought: check by right-click, properties in nautilus, go to
> drive tab, see speed "480 Mbps" or "12 Mbps"... the first is USB 2.0 and
> the second is 1.0/1.1
>
> --
> slow USB 2.0 drive: it's mounted as USB 1.0, not USB 2.0!
> https://bugs.launchpad.net/bugs/177235
> You received this bug notification because you are a direct subscriber
> of the bug.
>

lowsky (jpc1208) wrote :

The same issue effects 9.04 Beta 64bit edition
I started a thread on the Ubuntu forums as well

http://ubuntuforums.org/showthread.php?t=1112701

topher (cantstopengland) wrote :

Problem persists in 9.04 32bit. To find out the Hub in use, I just run lsusb.

I guess it's the kernel problem with correct USB speed recognition,
because I have had this problem on different computers and linux versions.
My current ver. is Ubuntu 64bit 9.04.

Good example taken from my kern.log, notice first two lines:
--------------------------------------------------------------------------------------------------------------------------------------------------------
Jun 15 11:13:48 mirko2-l64 kernel: [81040.032022] usb 2-1: new full speed USB device using ohci_hcd and address 2
Jun 15 11:13:48 mirko2-l64 kernel: [81040.203039] usb 2-1: not running at top speed; connect to a high speed hub
Jun 15 11:13:48 mirko2-l64 kernel: [81040.215124] usb 2-1: configuration #1 chosen from 1 choice
--------------------------------------------------------------------------------------------------------------------------------------------------------

And few seconds later after device reconnecting (the same port and device), everything is ok:
---------------------------------------------------------------------------------------------------------------------------------------------------------
Jun 15 11:39:16 mirko2-l64 kernel: [82568.345018] usb 1-1: new high speed USB device using ehci_hcd and address 7
Jun 15 11:39:16 mirko2-l64 kernel: [82568.478023] usb 1-1: configuration #1 chosen from 1 choice
---------------------------------------------------------------------------------------------------------------------------------------------------------

I don't attach the rest of the kern.log, the device type is not important, because this happends with different
devices randomly. In my case there is 1-to-3 chance, that device will be recognised as USB 1.1 instead of 2.0.

The problem is probably in the (kernel_source)/drivers/usb/core/hub.c !!!

I'm not a programmer (only amateur who likes to solve problems ;-), so somebody take a look
and check that hub.c driver please.

Focus on:
------------

static void
check_highspeed (struct usb_hub *hub, struct usb_device *udev, int port1)
{
 struct usb_qualifier_descriptor *qual;
 int status;

 qual = kmalloc (sizeof *qual, GFP_KERNEL);
 if (qual == NULL)
  return;

 status = usb_get_descriptor (udev, USB_DT_DEVICE_QUALIFIER, 0,
   qual, sizeof *qual);
 if (status == sizeof *qual) {
  dev_info(&udev->dev, "not running at top speed; "
   "connect to a high speed hub\n");
  /* hub LEDs are probably harder to miss than syslog */
  if (hub->has_indicators) {
   hub->indicator[port1-1] = INDICATOR_GREEN_BLINK;
   schedule_delayed_work (&hub->leds, 0);
  }
 }
 kfree(qual);
}

You see, driver only prints the warning, and does nothing else!!!

I guess it should at least reset the device and try to connect the USB 2.0 device to
EHCI and not OHCI/UHCI (host hub)!

375gnu (375gnu) wrote :

Temporary solution is to add to your /etc/modprobe.d/usb:

install ohci-hcd /sbin/modprobe ehci-hcd; /sbin/modprobe --ignore-install ohci-hcd
install uhci-hcd /sbin/modprobe ehci-hcd; /sbin/modprobe --ignore-install uhci-hcd

In my case, I connect the external portable 2.5" harddrive via USB cable with one
micro-USB plug (on HDD side) and two normal-USB plugs (on PC side). One of the PC-side
USB plugs provides only more electric current (I will call this dummy USB in the next).

What I found is that if I connect my HDD via dummy USB first and then after few seconds
I plug the second USB into PC, the whole USB-speed detection is always OK.

I assume that the problem with wrong USB-speed detection is caused by the initial current
overloading of the USB ports when we connect the big-current-sucking-device (as external
HDD) to computer. In first second or two HDD spins its plates, sucks more current and
this may confuse the electronics in the HDD enclosure.

I'm lucky because I use cable with two USB plugs on the PC-side of the cable but, I saw ext.
HDD products bundled with simple cable only, so my solution will not work in their case.

The solution in the kernel could be to delay the speed-detection process by second or two
or to reset the USB device in the case of speed-detection confusion (famous kernel
message: "usb x-y: not running at top speed; connect to a high speed hub") and try to
detect the speed again.

Miroslav,

Thanks for that solution! I have the same issue, and your fix works perfectly.

For what it's worth, Windows 7 has the exact same issue. Your fix corrects the drive in both Windows and Jaunty.

cornbread (corn13read) wrote :

Issue exists for me as well. Transfer starts very quickly and gets 500MB done almost instantly then will drop slowly all the way down to 1mbps... unacceptable.

This is a valid and confirmed bug. A duplicate of Bug #88746 (ehci-hcd).

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/88746?comments=all

Stefan W (s-witzel) wrote :

I'm not a Ubuntu user but I have the same problem using debian. It is also Bug 12707 on kernel.org:

http://bugzilla.kernel.org/show_bug.cgi?id=12707

However I don't see, in which way it should be a duplicate of Bug #88746 (apart from that it is also a bug that has to do with ehci-hdc)?! To start with, the devices here are recognized as full speed while they would work with high speed, while the devices in Bug #88746 are recognized as high speed though they only work with full speed (of course the bug being false recognition in the first case and not working in high speed in the second).

adri58 (adri58) wrote :

Same happens to me in Ubuntu 9.10 x64

Jimmy (jimmy-axenhus) wrote :

I can confirm it using Ubuntu 9.10 x64.

Changed in ubuntu:
status: Incomplete → Confirmed
Nico_argentina (ferrettinico) wrote :

Same problem here (Ubuntu 9.10 x64).

I'm not a hardware expert, but I'll say my experience:

I see that it's like it starts to transfer really fast, and then it slows down and down and down, I guess it has something to do with the sync, as if I sync after transferring each file the overall result is MUCH faster than transferring all at once.

Let's say I have to move 10 files of about 300 megs each. If i go to nautilus and move them by selecting them all to the external HD file 1 transfers at 20mb/s and when it reaches file 3 the speed is 4mb/s. If I cancel and unmount then it takes a lot of time (aprox 10 mins or more) to unmount it.

On the other hand I created an script that simply does moves the files syncing after each transfer:

while f=`ls | head -n1`
do
        echo "Moving $f"
        mv -v "$f" /media/NicoMB/Videos/
        echo "Syncing"
        sync
done

And this is waaaay faster! And unmount takes no time.

Please let me know if you need anything in order to help sort this out

nomnex (nomnex) wrote :

same problem here on 9.10 32 bit (Fujitsu FMV-BIBLO NH28D - notebook)
4 USB ports USB2 > recognized as USB1
Slow transfer speed ~15mbps

nomnex (nomnex) wrote :

Edit: Slow transfer speed ~15kpbs

Craig Collins (craigmcollins) wrote :

I'm running 9.10 installed on a High Speed USB 2.0 flash drive. Machine is a eBox4810. Experiencing the same thing, only the whole OS gets slow as it pages from the disk.

wallpaper_thief (maeoll) wrote :

What is going on with Ubuntu? my computer runs USB devices at 2.0 speeds in windows, but ubuntu only runs at USB 1.1 speeds.

kyleabaker (kyleabaker) wrote :

@wallpaper_thief
Windows also connects my Microsoft LifeCam VX-1000 as USB 2.0, when Ubuntu (currently testing 10.04 and 10.10) only connects it as USB 1.0 or 1.1. This doesn't seem to be isolated to x86_64 since it happens for me on both x86 and x86_64 computers.

Philip Muškovac (yofel) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This bug did not have a package associated with it, which is important for ensuring that it gets looked at by the proper developers. You can learn more about finding the right package at https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this bug as a bug in the kernel (linux).

When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

affects: ubuntu → linux (Ubuntu)

I thought this was a known bug for many years now but was not going to be
looked at/fixed.

2010/8/12 Philip Muškovac <email address hidden>

> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. This bug did not have a package associated with it, which
> is important for ensuring that it gets looked at by the proper
> developers. You can learn more about finding the right package at
> https://wiki.ubuntu.com/Bugs/FindRightPackage . I have classified this
> bug as a bug in the kernel (linux).
>
> When reporting bugs in the future please use apport by using 'ubuntu-
> bug' and the name of the package affected. You can learn more about this
> functionality at https://wiki.ubuntu.com/ReportingBugs.
>
> ** Package changed: ubuntu => linux (Ubuntu)
>
> --
> slow USB 2.0 drive: it's mounted as USB 1.0, not USB 2.0!
> https://bugs.launchpad.net/bugs/177235
> You received this bug notification because you are a direct subscriber
> of the bug.
>

fiXedd (jeremy-logan) wrote :

Well, this specific bug report has been on here almost 3 years, but people have been complaining about it even longer. I think it's clear it's in the "we don't care" category. I mean really, who cares if they're only getting 1/6th the rated speed?

Well, it may helps to assign this bug to the Ubuntu Kernel USB Team: https://bugs.launchpad.net/~ubuntu-kernel-usb

Sorry for the wrong assignment, i thought i could assign it to the group named above....

Changed in linux (Ubuntu):
assignee: nobody → Christophe Le Roux (kibaltchich)
assignee: Christophe Le Roux (kibaltchich) → nobody
Laurent Dinclaux (dreadlox) wrote :

My girlfriend switched back to windows because of that bug ....

nomnex (nomnex) wrote :

On Mon, 22 Nov 2010 04:57:34 -0000
Lox <email address hidden> wrote:

> My girlfriend switched back to windows because of that bug ....

Then, you should consider switching girlfriend.

--
nomnex

skogs (skoglundtech) wrote :

I frequently transfer large amounts of data from usb attached docks or adapters. Currently it does show up as "Connection: USB at 480.0 MB/s". However the transfer speed is still around 1.5-1.9MB/s. Less than 2 Megs/sec. I can download from the internet faster than that. This has been a problem with ubuntu linux for years, as stated above. Other linux distros don't have this horrendous slowdown - I'll frequently just boot an unhealthy machine with Knoppix to transfer files from it directly over the network because it is faster that way than using Ubuntu's setup.

It is not network overhead/latency/throughput issues. It is not hardware. Same hardware runs faster under every other operating system. This is my ~6 month rant. Enjoy. Bump.

Albert Cardona, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Angel Guzman Maeso (shakaran) wrote :

Confirmed issue with slow transfer rates (<1.5 MB/s) for 3 different external USB 2.0 hardisk (toshiba 1 TB, SAMSUNG 512 GB, Hitachi 1 TB) with 3.12.0-4-generic from trusty. It is mainly a bad detection as USB 1.0 instead of USB 2.0 in dmesg (check_highspeed is indeed bogus). I try to test with kernel mainline v3.13-rc1-trusty but I cannot because I am affected by the bug https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1254424 in fglrx.

Copy 20 GB takes days, instead of hours for this issue. Thats unacceptable for backups in a company or the medium user with multimedia files. Please Ubuntu or Linux Team, contact with upstream, assign devs and raise with more priority with this bug. Perfomance is a must in GNU/Linux.

Angel Guzman Maeso, it would be best if you filed your own report via a terminal:
ubuntu-bug linux

This is due to how these issues more often than not are hardware dependent.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.